zenilib: CFF_CharsetRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
CFF_CharsetRec_ Struct Reference

`#include <cfftypes.h>`

## Public Attributes

FT_UShort * | cids
FT_UInt | format
FT_UInt | max_cid
FT_UInt | num_glyphs
FT_ULong | offset
FT_UShort * | sids

## Detailed Description

Definition at line 90 of file cfftypes.h.

## Member Data Documentation

FT_UShort* CFF_CharsetRec_::cids

Definition at line 97 of file cfftypes.h.

Referenced by cff_charset_compute_cids(), cff_charset_free_cids(), cff_charset_load(), and cff_slot_load().

FT_UInt CFF_CharsetRec_::format

Definition at line 93 of file cfftypes.h.

Referenced by sources.SourceProcessor::add_block_lines(), cff_charset_done(), cff_charset_load(), sources.SourceBlock::dump(), sources.SourceProcessor::parse_file(), sources.SourceProcessor::process_normal_line(), and sources.SourceProcessor::reset().

FT_UInt CFF_CharsetRec_::max_cid

Definition at line 99 of file cfftypes.h.

Referenced by cff_charset_compute_cids(), cff_charset_free_cids(), and cff_face_init().

FT_UInt CFF_CharsetRec_::num_glyphs

Definition at line 100 of file cfftypes.h.

Referenced by cff_charset_compute_cids().

FT_ULong CFF_CharsetRec_::offset

Definition at line 94 of file cfftypes.h.

Referenced by cff_charset_done(), and cff_charset_load().

FT_UShort* CFF_CharsetRec_::sids

Definition at line 96 of file cfftypes.h.

Referenced by cff_charset_compute_cids(), cff_charset_done(), cff_charset_load(), cff_cmap_unicode_init(), cff_encoding_load(), cff_get_cid_from_glyph_index(), cff_get_glyph_name(), cff_get_name_index(), and cff_lookup_glyph_by_stdcharcode().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/cff/cfftypes.h